[API Reference](../README.md) > [Web3EventSubscription](../classes/Web3EventSubscription.md)



# Class: Web3EventSubscription

## Type parameters
#### TEventArgs 
## Implements

* [IEventSubscription](../interfaces/IEventSubscription.md)

## Index

### Constructors

* [constructor](Web3EventSubscription.md#constructor)


### Methods

* [unsubscribe](Web3EventSubscription.md#unsubscribe)



---
## Constructors
<a id="constructor"></a>


### ⊕ **new Web3EventSubscription**(subscription: *[IEventSubscription](../interfaces/IEventSubscription.md)*, fetcher: *[EventFetcher](../interfaces/EventFetcher.md)`TEventArgs`*): [Web3EventSubscription](Web3EventSubscription.md)


*Defined in [web3EventService.ts:547](https://github.com/daostack/arc.js/blob/f779630e/lib/web3EventService.ts#L547)*



**Parameters:**

| Param | Type | Description |
| ------ | ------ | ------ |
| subscription | [IEventSubscription](../interfaces/IEventSubscription.md)   |  - |
| fetcher | [EventFetcher](../interfaces/EventFetcher.md)`TEventArgs`   |  - |





**Returns:** [Web3EventSubscription](Web3EventSubscription.md)

---


## Methods
<a id="unsubscribe"></a>

###  unsubscribe

► **unsubscribe**(): `void`



*Implementation of [IEventSubscription](../interfaces/IEventSubscription.md).[unsubscribe](../interfaces/IEventSubscription.md#unsubscribe)*

*Defined in [web3EventService.ts:552](https://github.com/daostack/arc.js/blob/f779630e/lib/web3EventService.ts#L552)*





**Returns:** `void`





___


